Overview | Package | Class | Use | Serialized | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.validation
Interface IValidatorGroupListener

    public interface IValidatorGroupListener

Validators may wish to join validator groups for performance or other reasons. That way expensive operations like creating and releasing models can be done in a common location, and be done only once per resource. Group listeners are declared via the `org.eclipse.wst.validation.validatorGroup` extension point.

As validation proceeds, the validation framework, on a resource by resource bases, determines if any validators that are members of a group are interested in the resource. If they are, before the first validator in the group is called, the `validationStarting` method is called. If this method was called, then the `validationFinishing` method will be called once all the validators have processed the resource.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Method Summary
`void` | `validationFinishing(IResource resource, IProgressMonitor monitor, ValidationState state)` If the validationStarting method was called on the resource, then this method will be called after the last validator has processed the resource.
`void` | `validationStarting(IResource resource, IProgressMonitor monitor, ValidationState state)` This is called before the first validator in the group that is interested in the resource is called.

Method Detail

### validationStarting

    void validationStarting(IResource resource,
                            IProgressMonitor monitor,
                            ValidationState state)

  This is called before the first validator in the group that is interested in the resource is called. If no validators in the group are interested in the resource, then this method is not called.

  Parameters:
    `resource` - The resource that is being validated.
    `monitor` - A progress monitor that the method should use.
    `state` - The validation state for the current operation.

### validationFinishing

    void validationFinishing(IResource resource,
                             IProgressMonitor monitor,
                             ValidationState state)

  If the validationStarting method was called on the resource, then this method will be called after the last validator has processed the resource.

  Parameters:
    `resource` - The resource that is being validated.
    `monitor` - A progress monitor that the method can use.
    `state` - The validation state for the current operation.

Overview | Package | Class | Use | Serialized | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD